Update Dashboard
Updates an existing dashboard
PUT
/
api
/
v2
/
dashboards
/
{id}
Update Dashboard
curl --request PUT \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dashboard Name",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "level:error",
"groupBy": []
}
]
},
{
"name": "New Number Chart",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "number",
"dataSource": "events",
"aggFn": "count",
"where": "level:info"
}
]
}
],
"tags": [
"production",
"updated"
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Updated Dashboard Name",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "level:error",
"groupBy": []
}
]
},
{
"id": "65f5e4a3b9e77c001a901236",
"name": "New Number Chart",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "number",
"dataSource": "events",
"aggFn": "count",
"where": "level:info"
}
]
}
],
"tags": [
"production",
"updated"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Dashboard ID
Body
application/json
Response
Successfully updated dashboard
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update Dashboard
curl --request PUT \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dashboard Name",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "level:error",
"groupBy": []
}
]
},
{
"name": "New Number Chart",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "number",
"dataSource": "events",
"aggFn": "count",
"where": "level:info"
}
]
}
],
"tags": [
"production",
"updated"
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Updated Dashboard Name",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "level:error",
"groupBy": []
}
]
},
{
"id": "65f5e4a3b9e77c001a901236",
"name": "New Number Chart",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "number",
"dataSource": "events",
"aggFn": "count",
"where": "level:info"
}
]
}
],
"tags": [
"production",
"updated"
]
}
}